Subject: bug#2865: 23.0.92; tramp chmod on remote ftp fails

From: Michael Albinus <[email-masked]>
Date: Sun, 05 Apr 2009 20:18:06 +0200

Walter Alejandro Iglesias <[email-masked]> writes:

> chmod files in remote server using tramp ftp fails without reporting
> any error.  I've tried this tramp version with emacs 22 and works so
> the problem may be in dired.el.  My elisp knowledge is poor I am not
> able to give you more help, sorry.

`dired-do-chmod' has changed its implementation; it uses
`set-file-modes' now. Ange-ftp lacks an implementation of this function.

I've added such an implementation; it shall work now. Could you, please, test?

Best regards, Michael.